#version 430 core
layout (location=0) out vec4 fCol;
layout (location=1) out vec4 fPos;
in vec2 tPos;
in vec4 gPos;
in vec4 gColor;
uniform sampler2D tex;
void main()
{
  fCol = gColor * texture(tex,tPos);
  fPos = gPos;
}
